// swift-tools-version:5.2
import PackageDescription

let package = Package(
    name: "AppleLibs",
    platforms: [
        .iOS(.v11)
    ],
    products: [
        .library(
            name: "AppleLibs",
            targets: ["AppleLibs"]
        ),
    ],
    dependencies: [
        .package(name: "Future", url: "https://github.com/kean/Future.git", .upToNextMajor(from: "1.4.0"))
    ],
    targets: [
        .target(
            name: "AppleLibs",
            dependencies: ["Future"],
            path: "AppleLibs"
        ),
        .testTarget(
            name: "AppleLibsTests",
            dependencies: ["AppleLibs"],
            path: "AppleLibsTests"
        ),
    ]
)
